/* expocity window switching extension for metacity
 * Copyright (C) 2003 Martin Grimme
 */

/* 
 * Copyright (C) 2001 Havoc Pennington
 * Copyright (C) 2002 Red Hat, Inc.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#ifndef EXPOCITY_H
#define EXPOCITY_H

#include <gtk/gtk.h>
#include <glib.h>
#include "window.h"
#include "display.h"
#include "screen.h"
#include <math.h>

typedef struct _Thumbnail Thumbnail;

/* structure for storing a thumbnail and its layouted geometry */
struct _Thumbnail
{
  MetaWindow* window;
  GdkPixbuf* pixbuf;
  int x;
  int y;
  int width;
  int height;
};

void expocity_init (void);
gboolean expocity_grab_window (MetaWindow* window);
void expocity_free_window (MetaWindow* window);
void expocity_run (MetaDisplay* display, MetaScreen* screen);

#endif
